Bug 9046 - Items are not exported with the tools/export.pl
Summary: Items are not exported with the tools/export.pl
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Tools (show other bugs)
Version: 3.8
Hardware: All All
: P5 - low critical (vote)
Assignee: Jonathan Druart
QA Contact:
URL:
Keywords: rel_3_16_candidate
Depends on:
Blocks:
 
Reported: 2012-11-09 17:41 UTC by Jonathan Druart
Modified: 2019-06-27 09:24 UTC (History)
10 users (show)

See Also:
Change sponsored?: ---
Patch complexity: ---
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:


Attachments
Bug 9046: FIX wrong test on an arrayref instead of an array (1.09 KB, patch)
2012-11-09 17:45 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 9046: FIX wrong test on an arrayref instead of an array (1.15 KB, patch)
2012-11-10 04:14 UTC, Chris Cormack
Details | Diff | Splinter Review
Bug 9046: Followup FIX perl v.10 raises an error if itemnumbers if undefined (864 bytes, patch)
2012-11-12 09:21 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 9046: Followup FIX perl v.10 raises an error if itemnumbers if undefined (995 bytes, patch)
2012-11-13 02:53 UTC, Mason James
Details | Diff | Splinter Review
[3.8.x] FIX wrong test on an arrayref instead of an array (1.06 KB, patch)
2013-09-23 18:28 UTC, M. Tompsett
Details | Diff | Splinter Review
[3.8.x] Followup FIX perl v.10 raises an error if itemnumbers if undefined (903 bytes, patch)
2013-09-23 18:29 UTC, M. Tompsett
Details | Diff | Splinter Review
Bug 9046: FIX wrong test on an arrayref instead of an array (1.05 KB, patch)
2013-09-29 04:48 UTC, Chris Cormack
Details | Diff | Splinter Review
Bug 9046: Followup FIX perl v.10 raises an error if itemnumbers if undefined (952 bytes, patch)
2013-09-29 04:49 UTC, Chris Cormack
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Jonathan Druart 2012-11-09 17:41:39 UTC
Bug 7986 introduced an issues.

Items are not exported at least when you use the script tools/export.pl from a command line and you want to export biblios with items.

This patch could have a higher severity level (blocker).
Comment 1 Jonathan Druart 2012-11-09 17:45:35 UTC Comment hidden (obsolete)
Comment 2 Chris Cormack 2012-11-10 04:14:08 UTC Comment hidden (obsolete)
Comment 3 Jonathan Druart 2012-11-12 09:21:28 UTC Comment hidden (obsolete)
Comment 4 Mason James 2012-11-13 02:53:13 UTC Comment hidden (obsolete)
Comment 5 Jonathan Druart 2012-11-13 08:59:27 UTC
I increase the severity of this patch.
Without this patch, the export tools (via ui) does not work too (items are not added to the export file).

To test : tools/export.pl and export with and without the items.
In the current master, you will get the same file (without items).
Comment 6 Paul Poulain 2012-11-19 16:38:59 UTC
QA comment:
 * 2 lines patch, fixing a bug
 * nothing changed in string

passed QA
Comment 7 Jared Camins-Esakov 2012-11-20 12:39:23 UTC
This patch has been pushed to master.
Comment 8 Paul Poulain 2012-11-20 15:24:28 UTC
Patch pushed to branch 3.10.x
Comment 9 Chris Cormack 2013-04-23 09:21:51 UTC
Released in 3.10.0
Comment 10 M. Tompsett 2013-09-23 18:28:43 UTC Comment hidden (obsolete)
Comment 11 M. Tompsett 2013-09-23 18:29:40 UTC Comment hidden (obsolete)
Comment 12 M. Tompsett 2013-09-23 18:31:31 UTC
This is already resolved in 3.10.x and higher, but the 3.8.x patches are back ports in need of testing, QA'ing, and getting in 3.8.x. :)
Comment 13 M. Tompsett 2013-09-27 15:42:46 UTC
Just apply the 3.8.x patches to 3.8.x for testing. :)
Comment 14 I'm just a bot 2013-09-29 04:43:09 UTC
Patch applied cleanly, go forth and signoff
Comment 15 Chris Cormack 2013-09-29 04:48:14 UTC
Created attachment 21568 [details] [review]
Bug 9046: FIX wrong test on an arrayref instead of an array

EmbedItemsInMarcBiblio does not embed items when the itemnumbers param
is given. That breaks the export tools (used from commandline).

Signed-off-by: Chris Cormack <chris@bigballofwax.co.nz>
Comment 16 Chris Cormack 2013-09-29 04:49:05 UTC
Created attachment 21569 [details] [review]
Bug 9046: Followup FIX perl v.10 raises an error if itemnumbers if undefined

If the itemnumbers parameter is undef, perl raises an error :
"Can't use an undefined value as an ARRAY reference"

Signed-off-by: Mason James <mtj@kohaaloha.com>
Signed-off-by: Chris Cormack <chris@bigballofwax.co.nz>
Comment 17 Chris Cormack 2013-09-29 04:50:10 UTC
Signed off the 3.8.x patches, probably can skip QA as they have been in master for a while, but up to the RMaint
Comment 18 Paul Poulain 2013-10-20 18:32:54 UTC
passing QA, I agree with chris last comment: the current patch is for 3.8
Comment 19 Jonathan Druart 2014-03-05 12:53:28 UTC
ping Kyle, it seems the next action if for you :)
Comment 20 Kyle M Hall 2014-05-05 11:30:40 UTC
Pushed to 3.8.x! Will be in v3.08.24

Kyle